| Home | Libraries | People | FAQ | More

## Function template lexicographical_compare

boost::compute::lexicographical_compare

## Synopsis

    // In header: <boost/compute/algorithm/lexicographical_compare.hpp>

    template<typename InputIterator1, typename InputIterator2>
      bool lexicographical_compare(InputIterator1 first1, InputIterator1 last1,
                                   InputIterator2 first2, InputIterator2 last2,
                                   command_queue & queue = system::default_queue());

## Description

Checks if the first range [first1, last1) is lexicographically less than the second range [first2, last2).

Space complexity: \Omega(max(distance(`first1`, `last1`), distance(`first2`, `last2`)))